#!/usr/bin/perl -w

# Original version by David Gold.

# $Revision: 2.3 $
# Last modified by $Author: krc $ on $Date: 2003/10/14 22:40:19 $.

# This script writes the file names matching a specified
# pattern from a given directory to a specified file.
# NOTE: The command line args should be surrounded by quotes!! 
use strict;
my $debug = 0;

my $usage = "Usage: fnames.pl DIRECTORY [OUTPUTFILE [PATTERN]]\n";
$usage .= "\tDIRECTORY = target directory whose files are listed\n";
$usage .= "\tOUTPUTFILE = where to store the file list (default = filenames.txt)\n";
$usage .= "\tPATTERN = pattern the file names should have (default = *.txt)\n";

# parse the command line
my $target = shift or die "No directory!\n\n$usage\n"; 
my $outfile = shift || 'filenames.txt';
my $pattern = shift || '*.txt';

# figure out where we start
use Cwd;
my $location = cwd or die "Unable to determine the current directory.\n";
print STDERR "Starting Directory: $location\n" if $debug;

chdir $target or die "Cannot change directories to $target\n";
my @files = glob($pattern);	# get the file list
chdir $location;		# come back


open(OUTNAMES,">$outfile")  || die "Unable to create $outfile.\n";
foreach my $file (@files){ 
    print OUTNAMES "$file\n";	# one file name per line
}
close(OUTNAMES);

exit;




