#!/usr/local/bin/perl -w

use strict;
use warnings;

my $txtdir = 'RawSpectra';
my $xmldir = 'RawXML';
chdir $xmldir or die "cannot find $xmldir directory\n";
my @files = glob('*.xml');
chdir '..';			# go back home

foreach my $file (@files) {
    my $base = $file;
    if ($file =~ /(.*)-QC(.*)\.xml/) {
	$base = $1;
    }
    print STDERR "processing $file...\n";
    my @command = ("/Proteomics/bin/ciphergenXMLreader.pl",
		   "\"$xmldir/$file\"",
		   "\"$txtdir/$base.txt\"");
    system(@command) == 0 or die "system failed: $?";
}
